githubEdit

Solana

get
Authorizations
AuthorizationstringRequired
Header parameters
AuthorizationstringRequired
Responses
chevron-right
200

Ok

application/json

Interface representing the response from the Account API. Extends the BaseAPIResponse to include additional data specific to account responses.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

get
/solana
200

Ok

post
Authorizations
AuthorizationstringRequired
Header parameters
AuthorizationstringRequired
Body

Represents the input parameters required for a Solana transaction.

networkstringOptional

The network on which the transaction is taking place.

private_keystringOptional

The private key of the account.

Responses
chevron-right
200

Ok

application/json

Interface representing the response from the Account API. Extends the BaseAPIResponse to include additional data specific to account responses.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

post
/solana
200

Ok

get
Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
Header parameters
AuthorizationstringRequired
Responses
chevron-right
200

Ok

application/json

Interface representing the response from the Account API. Extends the BaseAPIResponse to include additional data specific to account responses.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

get
/solana/{accountName}
200

Ok